1. Pricing
Reseller Stack Public APIs
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Get customer
      GET
    • Update customer notes
      PATCH
    • Update customer status
      PATCH
    • Update billing details
      PATCH
  • Geo
    • List countries
      GET
    • List states
      GET
  • Pricing
    • List TLD pricing
      GET
    • Update TLD pricing
      PATCH
    • Set TLD featured
      PATCH
    • Apply bulk margin
      POST
    • Reorder TLD pricing
      POST
  • Domains
    • List domains
      GET
    • Check domain availability
      POST
    • Checkout domain cart (single domain)
      POST
    • Checkout domain cart (bulk)
      POST
    • Get domain
      GET
    • Toggle transfer lock
      PATCH
    • Toggle auto-renew
      PATCH
    • Preview renewal price
      GET
    • Renew domain now
      POST
    • Get domain history
      GET
  • Orders
    • List orders
      GET
    • Get order
      GET
  • DNS
    • List DNS records
    • Add DNS records
    • Update DNS record
    • Delete DNS record
    • Update nameservers
    • Reset nameservers
    • List DNSSEC records
    • Add DNSSEC record
    • Delete DNSSEC record
  • Webhooks
    • Delivered when domain.order.success fires
    • Delivered when domain.order.failed fires
    • Delivered when domain.renewal.success fires
    • Delivered when domain.renewal.failed fires
  • Health check
    GET
  • Get current partner
    GET
  1. Pricing

Apply bulk margin

POST
/tld-pricing/margin
Apply a margin percentage across all TLDs.

Request

Authorization
API Key
Add parameter in header
rs-x-api-key
Example:
rs-x-api-key: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
Bulk margin applied
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/tld-pricing/margin' \
--header 'rs-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "marginPercentage": 22.5
}'
Response Response Example
{
    "status": 200,
    "message": "Bulk margin applied",
    "data": [
        {
            "tld": "com",
            "cost": 16.96,
            "renewCost": 16.96,
            "transferCost": 14.13,
            "costRegistrar": null,
            "costAsOf": null,
            "srp": 20.35,
            "marginPercentage": "20.00",
            "defaultMarginPercentage": "20.00",
            "isOverridden": false,
            "marginOverridePercentage": null,
            "marginOverrideEnabled": true,
            "roundOffEnding": null,
            "promoPrice": null,
            "promoExpiresAt": null,
            "promoLabel": null,
            "featuredOnStorefront": false,
            "sortOrder": null,
            "sponsoredPayoutPerRegistration": null,
            "fixedRetailPrice": null,
            "fixedRenewalPrice": null,
            "category": "popular",
            "trend": "rising"
        },
        {
            "tld": "io",
            "cost": 32.98,
            "renewCost": 32.98,
            "transferCost": 32.98,
            "costRegistrar": null,
            "costAsOf": null,
            "srp": 41.23,
            "marginPercentage": "25.00",
            "defaultMarginPercentage": "20.00",
            "isOverridden": true,
            "marginOverridePercentage": 25,
            "marginOverrideEnabled": true,
            "roundOffEnding": 0.99,
            "promoPrice": 29.99,
            "promoExpiresAt": "2026-09-30T00:00:00.000Z",
            "promoLabel": "Labor Day Sale",
            "featuredOnStorefront": true,
            "sortOrder": 1,
            "sponsoredPayoutPerRegistration": null,
            "fixedRetailPrice": null,
            "fixedRenewalPrice": null,
            "category": "tech",
            "trend": "stable"
        }
    ]
}
Modified at 2026-08-28 11:33:21
Previous
Set TLD featured
Next
Reorder TLD pricing
Built with